.global-discount-btn-reset {
    border: none;
    margin: 0;
    padding: 0;
    width: auto;
    overflow: visible;
    background-color: transparent;
    color: inherit;
    font: inherit;
    line-height: normal;
    -webkit-font-smoothing: inherit;
    -moz-osx-font-smoothing: inherit;
    -webkit-appearance: none;
    appearance: none;
    text-align: unset;
}

.global-discount-btn-reset::-moz-focus-inner {
    border: 0;
    padding: 0;
}
.global-discount-site-banner {
	box-sizing: border-box;
	padding: 30px 14px;
	display: none;
	flex-direction: column;
	gap: 12px;
	overflow: hidden;
	position: fixed;
	left: 8px;
	bottom: 32px;
	width: 100%;
	max-width: 177px;
	height: auto;
	aspect-ratio: 177/338;
	border-radius: 8px;
	background-color: #009540;
	background-image: var(--global-discount-site-banner-bg, none);
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	box-shadow: 0px 0px 7.23px 0px #00000026;
	z-index: 90;
	animation: fadeIn 300ms ease-in-out;
}

@media screen and (max-width: 1536px) {
	.global-discount-site-banner {
		padding: 18px 8px;
		max-width: 107px;
		gap: 8px;
	}
}

@media screen and (max-width: 1278px) {
	.global-discount-site-banner {
		left: 0;
		right: 0;
		align-items: flex-start;
		justify-content: center;
		padding: 2.22222222222vw 3.88888888889vw;
		gap: 2.22vw;
		width: 100%;
		max-width: 100%;
		height: 15.5555555556vw;
		aspect-ratio: unset;
		bottom: calc(9.37vw - 2px);
		border-radius: 8px 8px 0 0;
		background-size: 39.4444444444vw;
		background-position: center right 24px;
	}
}

@media screen and (max-width: 767px) {
	.global-discount-site-banner {
		bottom: calc(20vw - 2px);
	}
}

.global-discount-site-banner__close,
.global-discount-site-banner__close-icon {
	display: block;
	width: 24px;
	height: 24px;
}
@media screen and (max-width: 1536px) {
	.global-discount-site-banner__close,
	.global-discount-site-banner__close-icon {
		width: 16px;
		height: 16px;
	}
}

.global-discount-site-banner__close-icon {
	user-select: none;
}

.global-discount-site-banner__close {
	cursor: pointer;
	color: #ffffff;
	position: absolute;
	top: 6px;
	right: 6px;
	transition: 200ms color ease-in-out;
	z-index: 20;
}

@media screen and (max-width: 1536px) {
	.global-discount-site-banner__close {
		top: 4px;
		right: 4px;
	}
}

@media screen and (max-width: 1278px) {
	.global-discount-site-banner__close,
	.global-discount-site-banner__close-icon {
		width: 24px;
		height: 24px;
	}
	.global-discount-site-banner__close {
		top: 6px;
		right: 6px;
	}
}
@media screen and (max-width: 576px) {
	.global-discount-site-banner__close,
	.global-discount-site-banner__close-icon {
		width: 16px;
		height: 16px;
	}
}

@media (hover: hover) and (pointer: fine) {
	.global-discount-site-banner__close:hover {
		color: #e8e8e8;
	}
}

.global-discount-site-banner__title {
	display: flex;
	flex-direction: column;
	align-items: center;
	white-space: nowrap;
	font-size: 32px;
	font-weight: 600;
	color: #ffffff;
	filter: drop-shadow(0 1.62px 8.12px #00000040);
	line-height: 1;
	text-align: center;
}
@media screen and (max-width: 1536px) {
	.global-discount-site-banner__title {
		font-size: 20px;
	}
}
@media screen and (max-width: 1278px) {
	.global-discount-site-banner__title { 
		gap: 0.33ch;
		flex-direction: row;
		font-size: max(18px, 5vw);
	}
}

.global-discount-site-banner__action-btn {
	display: inline-flex;
	padding: 6px 20px;
	align-self: flex-start;
	align-items: center;
	justify-content: center;
	text-align: center;
	min-height: 36px;
	width: 100%;
	font-size: 14px;
	line-height: 1;
	font-weight: 600;
	color: #009540;
	background-color: #ffffff;
	border-radius: 100px;
	transition: 200ms ease-in-out background-color;
	cursor: pointer;
}
@media screen and (max-width: 1536px) {
	.global-discount-site-banner__action-btn {
		padding: 3px 12px;
		font-size: 12px;
		font-weight: 600;
		min-height: 24px;
	}
}
@media screen and (max-width: 1278px) {
	.global-discount-site-banner__action-btn {
		font-size: max(8px, 2.22222vw);
		padding: 0.833333333333 3.33vw;
		min-height: 5vw;
		min-width: 18.8888888889vw;
		width: auto;
	}
}

@media (hover: hover) and (pointer: fine) {
	.global-discount-site-banner__action-btn:hover {
		background-color: #e8e8e8;
	}
}

.global-discount-site-pill:not(hidden) {
	--size: 70px;
	overflow: hidden;
	position: fixed;
	left: 12px;
	bottom: 32px;
	width: var(--size);
	height: var(--size);
	background-image: url('/local/include/global_discount_banner/images/global-discount-site-banner-pill.png');
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	background-position: center;
	cursor: pointer;
	animation: fadeIn 300ms ease-in-out;
	z-index: 90;
	transition: 200ms opacity ease-in-out;
}

@media screen and (max-width: 1278px) {
	.global-discount-site-pill:not(hidden) {
		left: 10px;
		bottom: calc(9.37vw + 10px);
	}
}

@media screen and (max-width: 767px) {
	.global-discount-site-pill:not(hidden) {
		--size: 12.7777777778vw;
		width: max(46px, var(--size));
		height: max(46px, var(--size));
		left: 10px;
		bottom: calc(20vw + 10px);
	}
}

@media (hover: hover) and (pointer: fine) {
	.global-discount-site-pill:hover {
		opacity: 0.66;
	}
}

@keyframes fadeIn {
	from {
		opacity: 0;
	}
}